### 0.1.6 - 2 January 2025

 * *i18n:* new Polish translations
 * *cleanup:* bugfix in the test suite's "Update" test

### 0.1.4 - 30 November 2024

 * *feature:* new "**TransmitForm**" and "**TransmitJSON**" settings
 * *cleanup:* tests now cover HTTP POST formats and long line handling
 * *docs:* new setup guide
 * *docs:* Zabbix autodiscovery template

### 0.1.0 - 24 November 2024

 * *fix:* use Unix sockets to correct the ordering of mixed-stream output
 * *fix:* record incomplete lines if the command did not end its final output with a newline
 * *fix:* record the buffered output if the command exits with unrecorded output still in the pipeline
 * *fix:* correct compilation problem on CentOS
 * *fix:* correct fault in crontab and item list generation in all-users mode
 * *fix:* remove failure marker on successful run
 * *i18n:* translation stubs added
 * *cleanup:* address all warnings from _splint_ and _flawfinder_
 * *cleanup:* test suite covering all actions and file-based recording

### 0.0.2 - 21 November 2024

 * *feature:* new "**--strict**" option to govern whether to allow a run to proceed with warnings,
   if either the **MetricsDir** or the **CheckLockFile** is inaccessible, or an **OutputMap** file cannot be written to
 * *fix:* drop the "run ITEM -- command" syntax, as passing the command that way will guarantee shell quoting mishaps
 * *fix:* correct the colour-coding of unbracketed status on the terminal
 * *fix:* correct the status file descriptor being closed at the wrong time
 * *fix:* correct the generation of the _prerequisites-met_ metrics file

### 0.0.1 - 20 November 2024

 * initial release
